<div class="centered-content">
    <div class="modal-box">
        <h1 class="title">
            Edit a list
        </h1>

        <input #listTitleInput [ngClass]="listValid ? 'input danger' : 'input'" type="text" placeholder="Enter list name....">
        <span style="color: red; font-size: 12px;" *ngIf="listValid">*Name is required</span>
        <br><br>
        <div class="buttons is-right">
            <button class="button" routerLink="/">Cancel</button>
            <button class="button is-primary" (click)="updateList(listTitleInput.value)">Create</button>
        </div>
    </div>
</div>